Name: cfingerd-noroot
Summary: Replacement finger daemon
Version: 1.3.2
Release: 4
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/finger/cfingerd-1.3.2.tar.gz
Source1: ftp://sunsite.unc.edu/pub/Linux/system/network/finger/cfingerd-1.3.2.noroot.tgz
Source2: cfingerd.log
Patch0:	cfingerd-1.3.2.debian.patch
Patch1:	cfingerd-1.3.2.rejected.patch
Patch2:	cfingerd-1.3.2.uids.patch
Patch3:	cfingerd-1.3.2.config.patch
Patch4: cfingerd-1.3.2.fingerlog.patch
Patch5: cfingerd-1.3.2.doc.patch
URL: http://www.bitgate.com/ftp/cfingerd/?899938395
Copyright: GPL
Group: Networking/Daemons
BuildRoot: /var/tmp/cfingerd-root

# Patches mainly taken from debian cfingerd package.

%description
CFINGERD is a program that provides a nicely formatted user information
display.  CFINGERD was programmed with the idea that SECURITY was the
top issue in any finger program.  Many sites will receive a root finger
before they are attacked.  With this finger program, you can now turn
off the ability to have root fingered by adding a ".nofinger" file, or
a file that doesn't allow for fingering of that user (or anonymity.)

Noroot version newer will work corectly. Some things as logging to
user ".fingerlog" or checking users mail need in most cases root privileges.

%changelog
* Fri Aug 07 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
 - added patch from Debian cfingerd package after few changes in it
   (cfingerd_1.3.2-11.0.diff.gz)
 - added rejected patch (now file REJECTED_BANNER is displayed)
 - corrected all others patches
 - using original cfingerd.conf
 - QMAIL mode works good only if user has .qmail file
   (should check standard $HOME/Mailbox file, too) [need to fix it]

* Wed Aug 04 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
 - replaced all patches by one
 - now works correctly with qmail and sendmail
 - removed setuids etc.

* Mon Aug 03 1998 Arkadiusz Mikiewicz <misiek@debian.eu.org>
 - added rejected patch by TxF@irc (IRCNET)
 - added priv-log patch by me

* Thu Jul 6 1998 Anthony Wong <ypwong@poboxes.com>

 - Packaged for glibc
 - Applied the 'noroot' hack so that cfingerd will not be run as root
 - Changed the man files in the %files section as %doc
 - Modified a line in cfingerd-1.3.2-misc.patch so that the patch can
   be used for the cfingerd.conf in the noroot archive

* Tue Jun 24 1997 Timo Karjalainen <timok@iki.fi>

 - Corrected version information, last stable release is 1.3.2.
 - src/search.c: Initialized variables for search lookup
 - src/main.c: Added support for /W, actually it's ignored...

%prep
%setup -T -a 1 -c -n cfingerd-1.3.2.noroot
%setup -n cfingerd-1.3.2
cd ${RPM_BUILD_DIR}
mv cfingerd-1.3.2/src cfingerd-1.3.2/src.old
mv cfingerd-1.3.2.noroot cfingerd-1.3.2/src

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
./Configure

make CFLAGS="$RPM_OPT_FLAGS" cfingerd
make -C userlist CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

for d in etc/{cfingerd,logrotate.d} usr/man/man{1,5} usr/sbin; do
	mkdir -p $RPM_BUILD_ROOT/$d
done

cp -r cfingerd.conf texts/* scripts $RPM_BUILD_ROOT/etc/cfingerd
chmod 700 $RPM_BUILD_ROOT/etc/{cfingerd,cfingerd/scripts}
chmod 700 $RPM_BUILD_ROOT/etc/cfingerd/scripts/*
chmod 600 $RPM_BUILD_ROOT/etc/cfingerd/cfingerd.conf
install -m 755 -o 0 -g 0 -s src/cfingerd $RPM_BUILD_ROOT/usr/sbin/in.cfingerd
cp docs/*.5 $RPM_BUILD_ROOT/usr/man/man5
install -m 4755 -o 0 -g 0 userlist/userlist $RPM_BUILD_ROOT/usr/sbin
cp userlist/userlist.1 $RPM_BUILD_ROOT/usr/man/man1

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/cfingerd.log \
	$RPM_BUILD_ROOT/etc/logrotate.d/cfingerd
mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/cfingerd.log

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, nobody, nobody) %config /etc/cfingerd
%config /etc/logrotate.d/cfingerd
%doc CREDITS FAQ LICENSE README RECOMMEND TODO UPDATES src/Readme.noroot
%doc src/Readme2noroot
%doc /usr/man/*/*
%attr(-, nobody, nobody) /usr/sbin/*
%attr(600, nobody, nobody) /var/log/cfingerd.log